# StringUtil.cpp File Reference

`#include "StringUtil.hh"`
`#include <iterator>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stdarg.h>`
`#include "snprintf.c"`

Include dependency graph for StringUtil.cpp:

## Namespaces

namespace | log4cpp

## Defines

#define | HAVE_SNPRINTF
#define | PREFER_PORTABLE_SNPRINTF
#define | VSNPRINTF portable_vsnprintf

## Define Documentation

#define HAVE_SNPRINTF

#define PREFER_PORTABLE_SNPRINTF

#define VSNPRINTF portable_vsnprintf